///////////////////////////////////////
//
// LICENSE NOTICE:
//
// Epic GTA2 Script Decompiler, version 1.0.1, November 16th, 2011
//
// Copyright (C) 2011 T.M. (tmdevmail at gmail.com)
//
// This software is provided 'as-is', without any express or implied
// warranty. In no event will the author(s) be held liable for any damages
// arising from the use of this software.
//
// Permission is granted to anyone to use this software for any purpose,
// excluding commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must not
//    claim that you wrote the original software. If you use this software
//    in a product, an acknowledgment in the product documentation is required.
// 2. Altered source versions must be plainly marked as such, and must not be
//    misrepresented as being the original software. All versions source code must
//    be made freely available for everyone.
// 3. build_credits() function may not be altered and its output must remain in the
//    decompiler output as the first line of text. Contact the author if you desire
//    to be credited on that line of text.
// 4. This notice may not be removed or altered from any source distribution.
//
///////////////////////////////////////

//
// these are the values in SCR for each function (.type var in the structs)
// when you add support for new command, search the value from here
// either by its hex value (matches directly with the hex editor values)
// or by the integer value. then copy the name according to it
// and use it in the LinkToFunc() at "scr_functions.h"

#define SCRCMD_0 0 // 0000 - this seems to be FORWARD command, the end of IF and some other random crap.
#define SCRCMD_1 1 // 0100
#define SCRCMD_2 2 // 0200
#define SCRCMD_3 3 // 0300
#define SCRCMD_4 4 // 0400
#define SCRCMD_PLAYER_PED 5 // 0500
#define SCRCMD_CHAR_DEC 6 // 0600
#define SCRCMD_CHAR_DECSET_2D 7 // 0700
#define SCRCMD_CHAR_DECSET_3D 8 // 0800
#define SCRCMD_CAR_DEC 9 // 0900
#define SCRCMD_CAR_DECSET_2D 10 // 0A00
#define SCRCMD_CAR_DECSET_3D 11 // 0B00
#define SCRCMD_CAR_DECSET_2D_STR 12 // 0C00
#define SCRCMD_CAR_DECSET_3D_STR 13 // 0D00
#define SCRCMD_OBJ_DEC 14 // 0E00
#define SCRCMD_OBJ_DECSET_2D 15 // 0F00
#define SCRCMD_OBJ_DECSET_3D 16 // 1000
#define SCRCMD_OBJ_DECSET_2D_INT 17 // 1100
#define SCRCMD_OBJ_DECSET_3D_INT 18 // 1200
#define SCRCMD_OBJ_DECSET_2D_STR 19 // 1300
#define SCRCMD_OBJ_DECSET_3D_STR 20 // 1400
#define SCRCMD_COUNTER 21 // 1500
#define SCRCMD_COUNTER_SET 22 // 1600
#define SCRCMD_ARROW_DEC 23 // 1700
#define SCRCMD_THREAD_ID 24 // 1800
#define SCRCMD_CONVEYOR_DEC 25 // 1900
#define SCRCMD_CONVEYOR_DECSET1 26 // 1A00
#define SCRCMD_CONVEYOR_DECSET2 27 // 1B00
#define SCRCMD_GENERATOR_DEC 28 // 1C00
#define SCRCMD_GENERATOR_DECSET1 29 // 1D00
#define SCRCMD_GENERATOR_DECSET2 30 // 1E00
#define SCRCMD_GENERATOR_DECSET3 31 // 1F00
#define SCRCMD_GENERATOR_DECSET4 32 // 2000
#define SCRCMD_DESTRUCTOR_DEC 33 // 2100
#define SCRCMD_DESTRUCTOR_DECSET1 34 // 2200
#define SCRCMD_DESTRUCTOR_DECSET2 35 // 2300
#define SCRCMD_CRANE_DEC 36 // 2400
#define SCRCMD_CRANE_BASIC_DEC 37 // 2500
#define SCRCMD_CRANE_TARGET_DEC 38 // 2600
#define SCRCMD_CRANE2TARGET_DEC 39 // 2700
#define SCRCMD_CRUSHER_BASIC 40 // 2800
#define SCRCMD_CREATE_CHAR_2D 41 // 2900
#define SCRCMD_CREATE_CHAR_3D 42 // 2A00
#define SCRCMD_CREATE_CAR_2D 43 // 2B00
#define SCRCMD_CREATE_CAR_3D 44 // 2C00
#define SCRCMD_CREATE_CAR_2D_STR 45 // 2D00
#define SCRCMD_CREATE_CAR_3D_STR 46 // 2E00
#define SCRCMD_CREATE_OBJ_2D 47 // 2F00
#define SCRCMD_CREATE_OBJ_3D 48 // 3000
#define SCRCMD_CREATE_OBJ_3D_INT 49 // 3100
#define SCRCMD_CREATE_OBJ_2D_INT 50 // 3200
#define SCRCMD_CREATE_OBJ_3D_STR 51 // 3300
#define SCRCMD_CREATE_OBJ_2D_STR 52 // 3400
#define SCRCMD_CREATE_CONVEYOR_2D 53 // 3500
#define SCRCMD_CREATE_CONVEYOR_3D 54 // 3600
#define SCRCMD_CREATE_GENERATOR_2D 55 // 3700
#define SCRCMD_CREATE_GENERATOR_3D 56 // 3800
#define SCRCMD_CREATE_DESTRUCTOR_2D 57 // 3900
#define SCRCMD_CREATE_DESTRUCTOR_3D 58 // 3A00
#define SCRCMD_LEVELSTART 59 // 3B00
#define SCRCMD_LEVELEND 60 // 3C00
#define SCRCMD_CREATE_THREAD 61 // 3D00
#define SCRCMD_STOP_THREAD 62 // 3E00
#define SCRCMD_START_EXEC 63 // 3F00
#define SCRCMD_STOP_EXEC 64 // 4000
#define SCRCMD_FOR_LOOP 65 // 4100
#define SCRCMD_DO_WHILE 66 // 4200
#define SCRCMD_FUNCTION 67 // 4300
#define SCRCMD_RETURN 68 // 4400
#define SCRCMD_WHILE 69 // 4500
#define SCRCMD_WHILE_EXEC 70 // 4600
#define SCRCMD_NOT 71 // 4700
#define SCRCMD_AND 72 // 4800
#define SCRCMD_OR 73 // 4900
#define SCRCMD_IF 74 // 4A00
#define SCRCMD_THEN 75 // 4B00
#define SCRCMD_ELSE 76 // 4C00
#define SCRCMD_GOTO 77 // 4D00
#define SCRCMD_GOSUB 78 // 4E00
#define SCRCMD_S_PLUS_I 79 // 4F00
#define SCRCMD_I_PLUS_S 80 // 5000
#define SCRCMD_S_PLUS_S 81 // 5100
#define SCRCMD_S_MINUS_I 82 // 5200
#define SCRCMD_I_MINUS_S 83 // 5300
#define SCRCMD_S_MINUS_S 84 // 5400
#define SCRCMD_SET 85 // 5500
#define SCRCMD_S_LESS_I 86 // 5600
#define SCRCMD_S_LESS_S 87 // 5700
#define SCRCMD_S_LEQUAL_I 88 // 5800
#define SCRCMD_S_LEQUAL_S 89 // 5900
#define SCRCMD_S_GREATER_I 90 // 5A00
#define SCRCMD_S_GREATER_S 91 // 5B00
#define SCRCMD_S_GEQUAL_I 92 // 5C00
#define SCRCMD_S_GEQUAL_S 93 // 5D00
#define SCRCMD_S_EQUAL_I 94 // 5E00
#define SCRCMD_S_EQUAL_S 95 // 5F00
#define SCRCMD_INCREMENT 96 // 6000
#define SCRCMD_DECREMENT 97 // 6100
#define SCRCMD_IF_JUMP 98 // 6200
#define SCRCMD_FORWARD_DECLARE 99 // 6300
#define SCRCMD_MAKE_CAR_DUMMY 100 // 6400
#define SCRCMD_MAP_ZONE1 101 // 6500
#define SCRCMD_MAP_ZONE_SET 102 // 6600
#define SCRCMD_SET_CAR_DENSITY 103 // 6700
#define SCRCMD_SET_GOOD_CAR 104 // 6800
#define SCRCMD_SET_BAD_CAR 105 // 6900
#define SCRCMD_SET_POLICE_CAR 106 // 6A00
#define SCRCMD_SET_PED_DENSITY 107 // 6B00
#define SCRCMD_SET_MUGGER 108 // 6C00
#define SCRCMD_SET_CARTHIEF 109 // 6D00
#define SCRCMD_SET_ELVIS 110 // 6E00
#define SCRCMD_SET_GANG 111 // 6F00
#define SCRCMD_SET_POLICE_PED 112 // 7000
#define SCRCMD_POINT_ARROW_AT 113 // 7100
#define SCRCMD_POINT_ARROW_3D 114 // 7200
#define SCRCMD_ARROW_COLOUR 115 // 7300
#define SCRCMD_REMOVE_ARROW 116 // 7400
#define SCRCMD_DISPLAY_MESSAGE 117 // 7500
#define SCRCMD_DISPLAY_BRIEF 118 // 7600
#define SCRCMD_DISPLAY_TIMER 119 // 7700
#define SCRCMD_CLEAR_TIMERS 120 // 7800
#define SCRCMD_IS_CHAR_IN_CAR 121 // 7900
#define SCRCMD_IS_CHAR_IN_MODEL 122 // 7A00
#define SCRCMD_IS_CHAR_IN_ANY_CAR 123 // 7B00
#define SCRCMD_IS_CHAR_STOPPED 124 // 7C00
#define SCRCMD_IS_CHAR_STUNNED 125 // 7D00
#define SCRCMD_CHECK_HEALTH 126 // 7E00
#define SCRCMD_HAS_CHAR_DIED 127 // 7F00
#define SCRCMD_STORE_CAR_INFO 128 // 8000
#define SCRCMD_CHECK_CAR_DAMAGE 129 // 8100
#define SCRCMD_CHECK_CAR_DRIVER 130 // 8200
#define SCRCMD_SET_CHAR_OBJ1 131 // 8300
#define SCRCMD_SET_CHAR_OBJ2 132 // 8400
#define SCRCMD_SET_CHAR_OBJ3 133 // 8500
#define SCRCMD_IS_CHAR_OBJ_PASS 134 // 8600
#define SCRCMD_IS_CHAR_OBJ_FAIL 135 // 8700
#define SCRCMD_SEND_CHAR_FOOT 136 // 8800
#define SCRCMD_SEND_CHAR_CAR 137 // 8900
#define SCRCMD_GIVE_WEAPON1 138 // 8A00
#define SCRCMD_IS_CAR_IN_BLOCK 139 // 8B00
#define SCRCMD_DELETE_ITEM 140 // 8C00
#define SCRCMD_ADD_SCORE1 141 // 8D00
#define SCRCMD_EXPLODE 142 // 8E00
#define SCRCMD_EXPLODE_BUILDING 143 // 8F00
#define SCRCMD_EXPLODE_ITEM 144 // 9000
#define SCRCMD_LOCATE_CHAR_ANY 145 // 9100
#define SCRCMD_LOCATE_CHAR_ONFOOT 146 // 9200
#define SCRCMD_LOCATE_CHAR_BY_CAR 147 // 9300
#define SCRCMD_STOP_LOCATE_CHAR_ANY 148 // 9400
#define SCRCMD_STOP_LOCATE_CHAR_FOOT 149 // 9500
#define SCRCMD_STOP_LOCATE_CHAR_CAR 150 // 9600
#define SCRCMD_SET_THREAT_SEARCH 151 // 9700
#define SCRCMD_SET_THREAT_REACT 152 // 9800
#define SCRCMD_ADD_GROUP 153 // 9900
#define SCRCMD_IS_CAR_WRECKED 154 // 9A00
#define SCRCMD_CHANGE_CAR_REMAP 155 // 9B00
#define SCRCMD_CHANGE_CHAR_REMAP 156 // 9C00
#define SCRCMD_CHECK_CAR_MODEL 157 // 9D00
#define SCRCMD_CHECK_CAR_REMAP 158 // 9E00
#define SCRCMD_CHECK_CAR_BOTH 159 // 9F00
#define SCRCMD_IS_ITEM_ONSCREEN 160 // A000
#define SCRCMD_DELAY_HERE 161 // A100
#define SCRCMD_DELAY 162 // A200
#define SCRCMD_CLEAR_WANTED_LEVEL 163 // A300
#define SCRCMD_ALT_WANTED_LEVEL 164 // A400
#define SCRCMD_IS_CHAR_FIRE_ONSCREEN 165 // A500
#define SCRCMD_DRIVER_OUT_CAR 166 // A600
#define SCRCMD_CHAR_TO_DRIVE_CAR 167 // A700
#define SCRCMD_ANSWER_PHONE 168 // A800
#define SCRCMD_SEND_CAR_TO_BLOCK 169 // A900
#define SCRCMD_GIVE_DRIVER_BRAKE 170 // AA00
#define SCRCMD_CHAR_TO_BACKDOOR 171 // AB00
#define SCRCMD_PLAY_SOUND 172 // AC00
#define SCRCMD_SET_NO_COLLIDE 173 // AD00
#define SCRCMD_CLEAR_NO_COLLIDE 174 // AE00
#define SCRCMD_CAR_DRIVE_AWAY 175 // AF00
#define SCRCMD_IS_CHAR_FIRING_AREA 176 // B000
#define SCRCMD_OPEN_DOOR 177 // B100
#define SCRCMD_CLOSE_DOOR 178 // B200
#define SCRCMD_SET_DOOR_AUTO 179 // B300
#define SCRCMD_SET_DOOR_MANUAL 180 // B400
#define SCRCMD_ROAD_ON_OFF 181 // B500
#define SCRCMD_ADD_NEW_BLOCK 182 // B600
#define SCRCMD_REMOVE_BLOCK 183 // B700
#define SCRCMD_LOWER_LEVEL 184 // B800
#define SCRCMD_CHANGE_BLOCK_SIDE 185 // B900
#define SCRCMD_CHANGE_BLOCK_LID 186 // BA00
#define SCRCMD_CHANGE_BLOCK_TYPE 187 // BB00
#define SCRCMD_GET_CAR_FROM_CRANE 188 // BC00
#define SCRCMD_CAR_WRECK_IN_LOCATION 189 // BD00
#define SCRCMD_CAR_SUNK 190 // BE00
#define SCRCMD_CAR_IN_AIR 191 // BF00
#define SCRCMD_CHECK_NUM_LIVES 192 // C000
#define SCRCMD_GET_NUM_LIVES 193 // C100
#define SCRCMD_CHECK_SCORE 194 // C200
#define SCRCMD_GET_SCORE 195 // C300
#define SCRCMD_CHECK_MULT 196 // C400
#define SCRCMD_GET_MULT 197 // C500
#define SCRCMD_CHECK_RESPECT_GREATER 198 // C600
#define SCRCMD_CHECK_RESPECT_LESS 199 // C700
#define SCRCMD_CAR_DAMAGE_POS 200 // C800
#define SCRCMD_GET_PASSENGER_NUM 201 // C900
#define SCRCMD_CHAR_IN_AIR 202 // CA00
#define SCRCMD_CHAR_SUNK 203 // CB00
#define SCRCMD_LAST_WEAPON_HIT 204 // CC00
#define SCRCMD_ADD_PATROL_POINT 205 // CD00
#define SCRCMD_GET_CAR_SPEED 206 // CE00
#define SCRCMD_GET_CHAR_CAR_SPEED 207 // CF00
#define SCRCMD_CHECK_CAR_SPEED 208 // D000
#define SCRCMD_GET_MAX_SPEED 209 // D100
#define SCRCMD_THREAD_DECLARE1 210 // D200
#define SCRCMD_THREAD_DECLARE2 211 // D300
#define SCRCMD_THREAD_DECLARE3 212 // D400
#define SCRCMD_THREAD_DECLARE4 213 // D500
#define SCRCMD_THREAD_DECLARE5 214 // D600
#define SCRCMD_ENABLE_THREAD 215 // D700
#define SCRCMD_DISABLE_THREAD 216 // D800
#define SCRCMD_LIGHT_DEC 217 // D900
#define SCRCMD_LIGHT_DECSET1 218 // DA00
#define SCRCMD_CREATE_LIGHT1 219 // DB00
#define SCRCMD_CHANGE_INTENSITY 220 // DC00
#define SCRCMD_CHANGE_COLOUR 221 // DD00
#define SCRCMD_CHANGE_RADIUS 222 // DE00
#define SCRCMD_SET_GANG_INFO1 223 // DF00
#define SCRCMD_SET_CHAR_MOM_FAT 448 // DF00
#define SCRCMD_SET_GANG_RESPECT 224 // E000
#define SCRCMD_SET_CHAR_RESPECT 225 // E100
#define SCRCMD_SET_AMBIENT 226 // E200
#define SCRCMD_CHECK_PHONE 227 // E300
#define SCRCMD_CHECK_PHONETIMER 228 // E400
#define SCRCMD_STOP_PHONE_RING 229 // E500
#define SCRCMD_SET_DOOR_INFO 230 // E600
#define SCRCMD_CHECK_RESPECT_IS 231 // E700
#define SCRCMD_IS_CHAR_IN_GANG 232 // E800
#define SCRCMD_TIMER_DECLARE 233 // E900
#define SCRCMD_CHECK_NUM_ALIVE 234 // EA00
#define SCRCMD_ADD_CHAR_TO_GROUP 235 // EB00
#define SCRCMD_REMOVE_CHAR 236 // EC00
#define SCRCMD_SET_MIN_ALIVE 237 // ED00
#define SCRCMD_SET_CHAR_SHOOT 238 // EE00
#define SCRCMD_SET_CHAR_BRAVERY 239 // EF00
#define SCRCMD_DECLARE_MISSION 240 // F000
#define SCRCMD_HAS_CAR_WEAPON 241 // F100
#define SCRCMD_IS_CHAR_IN_ZONE 242 // F200
#define SCRCMD_IS_CHAR_HORN 243 // F300
#define SCRCMD_CHECK_MAX_PASS 244 // F400
#define SCRCMD_SET_PHONE_DEAD 245 // F500
#define SCRCMD_IS_TRAILER_ATT 246 // F600
#define SCRCMD_IS_CAR_ON_TRAIL 247 // F700
#define SCRCMD_ENABLE_CRANE 248 // F800
#define SCRCMD_DISABLE_CRANE 249 // F900
#define SCRCMD_CAR_GOT_DRIVER 250 // FA00
#define SCRCMD_SPOTTED_PLAYER 251 // FB00
#define SCRCMD_GET_LAST_PUNCHED 252 // FC00
#define SCRCMD_KILL_ALL_PASSENG 253 // FD00
#define SCRCMD_IS_GROUP_IN_CAR 254 // FE00
#define SCRCMD_PUNCHED_SOMEONE 255 // FF00
#define SCRCMD_REMOVE_WEAPON 256 // 0001
#define SCRCMD_DO_NOWT 257 // 0101
#define SCRCMD_ADD_CHAR_TO_GANG 258 // 0201
#define SCRCMD_MAKE_LEADER 259 // 0301
#define SCRCMD_PARK 260 // 0401
#define SCRCMD_PARK_FINISHED 261 // 0501
#define SCRCMD_CHANGE_RESPECT 262 // 0601
#define SCRCMD_PHONE_TEMPLATE 263 // 0701
#define SCRCMD_BEEN_PUNCHED_BY 264 // 0801
#define SCRCMD_UPDATE_DOOR 265 // 0901
#define SCRCMD_GIVE_WEAPON2 266 // 0A01
#define SCRCMD_IS_CAR_CRUSHED 267 // 0B01
#define SCRCMD_SWITCH_GENERATOR1 268 // 0C01
#define SCRCMD_SWITCH_GENERATOR2 269 // 0D01
#define SCRCMD_CAR_IN_AREA 270 // 0E01
#define SCRCMD_REMOTE_CONTROL 271 // 0F01
#define SCRCMD_MISSIONSTART 272 // 1001
#define SCRCMD_MISSIONEND 273 // 1101
#define SCRCMD_LAUNCH_MISSION 274 // 1201
#define SCRCMD_COUNTER_SAVE 275 // 1301
#define SCRCMD_COUNTER_SET_SAVE 276 // 1401
#define SCRCMD_SAVE_GAME 277 // 1501
#define SCRCMD_CHANGE_CAR_LOCK 278 // 1601
#define SCRCMD_DISPLAY_BRIEF_NOW 279 // 1701
#define SCRCMD_PARK_NO_RESPAWN 280 // 1801
#define SCRCMD_ADD_LIVES 281 // 1901
#define SCRCMD_ADD_MULTIPLIER 282 // 1A01
#define SCRCMD_SET_DIR_OF_TVVAN 283 // 1B01
#define SCRCMD_POINT_ONSCREEN 284 // 1C01
#define SCRCMD_SET_STATION 285 // 1D01
#define SCRCMD_SET_EMPTY_STATION 286 // 1E01
#define SCRCMD_RADIOSTATION_DEC 287 // 1F01
#define SCRCMD_START_BONUS1 288 // 2001
#define SCRCMD_START_BONUS2 289 // 2101
#define SCRCMD_START_BONUS3 290 // 2201
#define SCRCMD_START_BONUS4 291 // 2301
#define SCRCMD_CHECK_BONUS1 292 // 2401
#define SCRCMD_CHECK_BONUS2 293 // 2501
#define SCRCMD_CHECK_BONUS3 294 // 2601
#define SCRCMD_SET_STATION_4 295 // 2701
#define SCRCMD_SET_STATION_3 296 // 2801
#define SCRCMD_SET_STATION_2 297 // 2901
#define SCRCMD_SET_STATION_1 298 // 2A01
#define SCRCMD_SETUP_MODEL_CHECK 299 // 2B01
#define SCRCMD_MODEL_CHECK 300 // 2C01
#define SCRCMD_LIGHT_DECSET2 301 // 2D01
#define SCRCMD_CREATE_LIGHT2 302 // 2E01
#define SCRCMD_SET_CAR_GRAPHIC 303 // 2F01
#define SCRCMD_DECLARE_POLICE 304 // 3001
#define SCRCMD_CARBOMB_ACTIVE 305 // 3101
#define SCRCMD_CHAR_DRIVE_AGGR 306 // 3201
#define SCRCMD_CHAR_DRIVE_SPEED 307 // 3301
#define SCRCMD_S_IS_S_MINUS_S 308 // 3401
#define SCRCMD_S_IS_S_PLUS_S 309 // 3501
#define SCRCMD_GIVE_CAR_ALARM 310 // 3601
#define SCRCMD_CAR_BULLETPROOF 311 // 3701
#define SCRCMD_CAR_ROCKETPROOF 312 // 3801
#define SCRCMD_CAR_FLAMEPROOF 313 // 3901
#define SCRCMD_IS_ALARM_RINGING 314 // 3A01
#define SCRCMD_SET_CHAR_OBJ_FOLLOW 315 // 3B01
#define SCRCMD_PUT_CAR_ON_TRAILER 316 // 3C01
#define SCRCMD_CLEAR_BRIEFS 317 // 3D01
#define SCRCMD_CHECK_HEADS 318 // 3E01
#define SCRCMD_FINISH_LEVEL 319 // 3F01
#define SCRCMD_CHECK_WEAPONHIT 320 // 4001
#define SCRCMD_DISPLAY_BRIEF_SOON 321 // 4101
#define SCRCMD_SET_GANG_INFO2 322 // 4201
#define SCRCMD_MAP_ZONE2 323 // 4301
#define SCRCMD_IS_CHAR_ON_FIRE 324 // 4401
#define SCRCMD_BRIEF_ONSCREEN 325 // 4501
#define SCRCMD_SOUND 326 // 4601
#define SCRCMD_SOUND_DECSET 327 // 4701
#define SCRCMD_CREATE_SOUND 328 // 4801
#define SCRCMD_DO_EASY_PHONE 329 // 4901
#define SCRCMD_CHAR_INTO_CAR 330 // 4A01
#define SCRCMD_DEL_GROUP_IN_CAR 331 // 4B01
#define SCRCMD_S_IS_S_MINUS_I 332 // 4C01
#define SCRCMD_S_IS_S_PLUS_I 333 // 4D01
#define SCRCMD_S_IS_S_DIV_I 334 // 4E01
#define SCRCMD_S_IS_S_MULT_I 335 // 4F01
#define SCRCMD_S_IS_S_MOD_I 336 // 5001
#define SCRCMD_S_IS_S_DIV_S 337 // 5101
#define SCRCMD_S_IS_S_MULT_S 338 // 5201
#define SCRCMD_S_IS_S_MOD_S 339 // 5301
#define SCRCMD_SET_COUNTER_INT 340 // 5401
#define SCRCMD_SET_COUNTER_VAR 341 // 5501
#define SCRCMD_ADD_SCORE2 342 // 5601
#define SCRCMD_FINISH_SCORE 343 // 5701
#define SCRCMD_TOTAL_MISSIONS 344 // 5801
#define SCRCMD_TOTAL_SECRETS 345 // 5901
#define SCRCMD_PASSED_FLAG 346 // 5A01
#define SCRCMD_1_PASSED_FLAG 347 // 5B01
#define SCRCMD_2_PASSED_FLAG 348 // 5C01
#define SCRCMD_3_PASSED_FLAG 349 // 5D01
#define SCRCMD_SUPPRESS_MODEL 350 // 5E01
#define SCRCMD_SWITCH_GENERATOR3 351 // 5F01
#define SCRCMD_SWITCH_GENERATOR4 352 // 6001
#define SCRCMD_DECLARE_CARLIST 353 // 6101
#define SCRCMD_DECIDE_POWERUP 354 // 6201
#define SCRCMD_CHAR_ARRESTED 355 // 6301
#define SCRCMD_ONSCREEN_ACCURACY 356 // 6401
#define SCRCMD_WARP_CHAR 357 // 6501
#define SCRCMD_WEAP_HIT_CAR 358 // 6601
#define SCRCMD_SET_GROUP_TYPE 359 // 6701
#define SCRCMD_CHAR_DO_NOTHING 360 // 6801
#define SCRCMD_EMERG_LIGHTS 361 // 6901
#define SCRCMD_CHECK_OBJ_MODEL 362 // 6A01
#define SCRCMD_CHAR_INVINCIBLE 363 // 6B01
#define SCRCMD_PED_GRAPHIC 364 // 6C01
#define SCRCMD_MAKE_MUGGERS 365 // 6D01
#define SCRCMD_ANY_WEAPON_HIT_CAR 366 // 6E01
#define SCRCMD_LOC_SECOND_CHAR 367 // 6F01
#define SCRCMD_STOP_CAR_DRIVE 368 // 7001
#define SCRCMD_IS_CHAR_MOM_FAT 449 // 7101
#define SCRCMD_IS_BUS_FULL 369 // 7101
#define SCRCMD_NO_CHARS_OFF_BUS 370 // 7201
#define SCRCMD_KILL_CHAR 371 // 7301
#define SCRCMD_SET_GANGCARRATIO 372 // 7401
#define SCRCMD_SET_SHADING_LEV 373 // 7501
#define SCRCMD_SET_CAR_JAMMED 374 // 7601
#define SCRCMD_DOOR_DECLARE_S1 375 // 7701
#define SCRCMD_DOOR_DECLARE_S2 376 // 7801
#define SCRCMD_DOOR_DECLARE_S3 377 // 7901
#define SCRCMD_DOOR_DECLARE_D1 378 // 7A01
#define SCRCMD_DOOR_DECLARE_D2 379 // 7B01
#define SCRCMD_DOOR_DECLARE_D3 380 // 7C01
#define SCRCMD_LOC_SEC_CHAR_CAR 381 // 7D01
#define SCRCMD_LOC_SEC_CHAR_ANY 382 // 7E01
#define SCRCMD_SET_RUN_SPEED 383 // 7F01
#define SCRCMD_SET_STAY_IN_CAR 384 // 8001
#define SCRCMD_SET_USE_CAR_WEAPON 385 // 8101
#define SCRCMD_GANG_1_MISSION_TOTAL 386 // 8201
#define SCRCMD_GANG_2_MISSION_TOTAL 387 // 8301
#define SCRCMD_GANG_3_MISSION_TOTAL 388 // 8401
#define SCRCMD_SECRETS_PASSED 389 // 8501
#define SCRCMD_SECRETS_FAILED 390 // 8601
#define SCRCMD_FINISH_MISSION 391 // 8701
#define SCRCMD_ADDSCORE_NO_MULT 392 // 8801
#define SCRCMD_CHANGE_GANG_RESP 393 // 8901
#define SCRCMD_CREATE_GANG_CAR1 394 // 8A01
#define SCRCMD_CREATE_GANG_CAR2 395 // 8B01
#define SCRCMD_CREATE_GANG_CAR3 396 // 8C01
#define SCRCMD_CREATE_GANG_CAR4 397 // 8D01
#define SCRCMD_EXPLODE_LARGE1 398 // 8E01
#define SCRCMD_EXPLODE_LARGE2 399 // 8F01
#define SCRCMD_SET_ENTER_STATUS 400 // 9001
#define SCRCMD_BONUS_DECLARE 401 // 9101
#define SCRCMD_STORE_BONUS 402 // 9201
#define SCRCMD_EXPLODE_SMALL1 403 // 9301
#define SCRCMD_EXPLODE_SMALL2 404 // 9401
#define SCRCMD_EXPLODE_NO_RING1 405 // 9501
#define SCRCMD_EXPLODE_NO_RING2 406 // 9601
#define SCRCMD_SET_ALL_CONTROLS 407 // 9701
#define SCRCMD_SET_FAV_CAR 408 // 9801
#define SCRCMD_GROUP_IN_AREA 409 // 9901
#define SCRCMD_SET_CHAR_OCCUPATION 410 // 9A01
#define SCRCMD_SET_KF_WEAPON 411 // 9B01
#define SCRCMD_CLEAR_KF_WEAPON 412 // 9C01
#define SCRCMD_ONSCREEN_COUNTER_DEC 413 // 9D01
#define SCRCMD_ADD_ONSCREEN_COUNTER 414 // 9E01
#define SCRCMD_CLEAR_COUNTER 415 // 9F01
#define SCRCMD_CLEAR_CLOCK_ONLY 416 // A001
#define SCRCMD_EMERG_LIGHTS_ON 417 // A101
#define SCRCMD_CHANGE_POLICE 418 // A201
#define SCRCMD_DESTROY_GROUP 419 // A301
#define SCRCMD_CHECK_CURRENT_WEAPON 420 // A401
#define SCRCMD_ALTER_WANTED_LEVEL 421 // A501
#define SCRCMD_START_BASIC_KF 422 // A601
#define SCRCMD_DO_BASIC_KF 423 // A701
#define SCRCMD_SET_BONUS_RATING 424 // A801
#define SCRCMD_PARKED_CAR_DECSET_2D 425 // A901
#define SCRCMD_PARKED_CAR_DECSET_3D 426 // AA01
#define SCRCMD_PARKED_CAR_DECSET_2D_STR 427 // AB01
#define SCRCMD_PARKED_CAR_DECSET_3D_STR 428 // AC01
#define SCRCMD_DEC_GANG_1_FLAG 429 // AD01
#define SCRCMD_DEC_GANG_2_FLAG 430 // AE01
#define SCRCMD_DEC_GANG_3_FLAG 431 // AF01
#define SCRCMD_DEATH_ARR_STATE 432 // B001
#define SCRCMD_ADD_TIME 433 // B101
#define SCRCMD_CHAR_AREA_ANY_MEANS 434 // B201
#define SCRCMD_DEC_DEATH_BASE_1 435 // B301
#define SCRCMD_DEC_DEATH_BASE_2 436 // B401
#define SCRCMD_DEC_DEATH_BASE_3 437 // B501
#define SCRCMD_DO_SAVE_GAME 438 // B601
#define SCRCMD_DO_CRANE_POWERUP 439 // B701
#define SCRCMD_LEVEL_END_ARROW1 440 // B801
#define SCRCMD_LEVEL_END_ARROW2 441 // B901
#define SCRCMD_SET_MODEL_WANTED 442 // BA01
#define SCRCMD_CHECK_DEATH_ARR 443 // BB01
#define SCRCMD_FORCE_CLEANUP 444 // BC01
#define SCRCMD_SAVE_RESPECT 445 // BD01
#define SCRCMD_RESTORE_RESPECT 446 // BE01
#define SCRCMD_MAX_COMMANDS 447 // in case needed.


